Docs

Public Exports

Start a PDF export

POST
/api/public/v1/projects/{pid}/exports/pdf

Authorization

apiKey
headerx-api-key<token>

Path Parameters

pid*string

Request Body

application/json
  1. body
backgroundImages?
layerImages?

Response Body

Export job accepted. Poll the returned jobId for the download URL.

application/json
  1. response
jobId*string
status*"processing"
Value in"processing"
curl -X POST "https://example.com/api/public/v1/projects/string/exports/pdf" \  -H "Content-Type: application/json" \  -d '{}'
{  "jobId": "string",  "status": "processing"}

Start a PPTX export

POST
/api/public/v1/projects/{pid}/exports/pptx

Authorization

apiKey
headerx-api-key<token>

Path Parameters

pid*string

Request Body

application/json
  1. body
backgroundImages?
layerImages?

Response Body

Export job accepted. Poll the returned jobId for the download URL.

application/json
  1. response
jobId*string
status*"processing"
Value in"processing"
curl -X POST "https://example.com/api/public/v1/projects/string/exports/pptx" \  -H "Content-Type: application/json" \  -d '{}'
{  "jobId": "string",  "status": "processing"}

Get export job status

GET
/api/public/v1/projects/{pid}/exports/{jobId}

Authorization

apiKey
headerx-api-key<token>

Path Parameters

pid*string
jobId*string

Response Body

Job status fetched successfully.

application/json
  1. response
status*"processing"
Value in"processing"
curl -X GET "https://example.com/api/public/v1/projects/string/exports/string"
{  "status": "processing"}